> ## Documentation Index
> Fetch the complete documentation index at: https://developers.partoo.co/llms.txt
> Use this file to discover all available pages before exploring further.

# List Google Lodging attributes

> Get all Google Lodging attributes available in Partoo.
Google Lodging attributes describe hotel-specific information such as property features, services, policies, amenities, and guest unit details.
The response is grouped by lodging section. Each attribute definition gives the Google attribute id, its type, display order, available enum options when relevant, and whether an exception code can be used instead of a value.




## OpenAPI

````yaml /assets/openapi/openapi-bundled.yaml get /lodging/list
openapi: 3.1.0
info:
  title: Partoo Rest API
  version: v2
  license:
    name: © Copyright Partoo
    url: https://www.partoo.co/en/gtu-api/
  x-logo:
    url: >-
      https://partoo-client-images.s3.amazonaws.com/logo-partoo-restapi-white.png
  description: >
    ## Introduction

    The Partoo Rest API allows you to automate all the actions that are possible
    to do in the Partoo Web Application.


    The Partoo Rest API can be used for many different purposes:
      - Create/update/delete your businesses & users if you are a client.
      - Create/subscribe/manage organizations, businesses & users if you are a reseller.
      - Retrieve data on businesses you have access to if you are a publisher.
      - ...
servers:
  - url: https://api.partoo.co/v2
    description: Production server
  - url: https://api.sandbox.partoo.co/v2
    description: Sandbox server (dev environment for clients & partners)
security:
  - ApiKeyAuth: []
paths:
  /lodging/list:
    get:
      tags:
        - Google
      summary: List Google Lodging attributes
      description: >
        Get all Google Lodging attributes available in Partoo.

        Google Lodging attributes describe hotel-specific information such as
        property features, services, policies, amenities, and guest unit
        details.

        The response is grouped by lodging section. Each attribute definition
        gives the Google attribute id, its type, display order, available enum
        options when relevant, and whether an exception code can be used instead
        of a value.
      operationId: getLodgingList
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/LodgingListResponse'
        '401':
          $ref: '#/components/responses/401'
        '403':
          $ref: '#/components/responses/403'
        '404':
          $ref: '#/components/responses/404'
components:
  schemas:
    LodgingListResponse:
      type: object
      required:
        - available_exceptions
        - groups
      properties:
        available_exceptions:
          type: array
          description: >-
            Exception codes that can be used for lodging attributes allowing
            exceptions.
          items:
            $ref: '#/components/schemas/LodgingExceptionDefinition'
        groups:
          type: array
          description: Google Lodging attributes grouped by section.
          items:
            $ref: '#/components/schemas/LodgingAttributeGroup'
      example:
        available_exceptions:
          - id: LODGING_EXCEPTION_UNSPECIFIED
          - id: LODGING_UNDER_CONSTRUCTION
          - id: LODGING_DEPENDENT_ON_DAY_OF_WEEK
          - id: LODGING_DEPENDENT_ON_SEASON
        groups:
          - section_id: lodging.property
            order: 100
            attributes:
              - gmb_id: lodging.property.checkinTime
                type: TIME
                order: 10
                options: null
                allowed_exception: true
              - gmb_id: lodging.property.roomCount
                type: INTEGER
                order: 20
                options: null
                allowed_exception: false
          - section_id: lodging.services
            order: 200
            attributes:
              - gmb_id: lodging.services.languagesSpoken
                type: REPEATABLE_ENUM
                order: 20
                options:
                  - id: ENGLISH
                  - id: FRENCH
                allowed_exception: true
    LodgingExceptionDefinition:
      type: object
      required:
        - id
      properties:
        id:
          $ref: '#/components/schemas/LodgingExceptionCode'
    LodgingAttributeGroup:
      type: object
      required:
        - section_id
        - order
        - attributes
      properties:
        section_id:
          type: string
          description: Lodging section technical id.
          example: lodging.property
        order:
          type: integer
          description: Display order of the lodging section.
          example: 100
        attributes:
          type: array
          description: Lodging attributes in this section.
          items:
            $ref: '#/components/schemas/LodgingAttributeDefinition'
    LodgingExceptionCode:
      description: Exception code that can be used instead of a lodging attribute value.
      type: string
      enum:
        - LODGING_EXCEPTION_UNSPECIFIED
        - LODGING_UNDER_CONSTRUCTION
        - LODGING_DEPENDENT_ON_DAY_OF_WEEK
        - LODGING_DEPENDENT_ON_SEASON
    LodgingAttributeDefinition:
      type: object
      required:
        - gmb_id
        - type
        - order
        - allowed_exception
      properties:
        gmb_id:
          type: string
          description: Google Lodging attribute id.
          example: lodging.property.checkinTime
        type:
          $ref: '#/components/schemas/LodgingAttributeType'
        order:
          type: integer
          description: Display order of the lodging attribute inside its group.
          example: 10
        options:
          description: >-
            Available enum option ids for `ENUM` and `REPEATABLE_ENUM`
            attributes. Null for other attribute types.
          oneOf:
            - type: array
              items:
                $ref: '#/components/schemas/LodgingOptionDefinition'
            - type: 'null'
          example:
            - id: ENGLISH
            - id: FRENCH
        allowed_exception:
          type: boolean
          description: >-
            Whether the lodging attribute accepts an exception code instead of a
            value.
          example: true
    LodgingAttributeType:
      description: Type of Google Lodging attribute value.
      type: string
      enum:
        - BOOL
        - INTEGER
        - TIME
        - ENUM
        - REPEATABLE_ENUM
    LodgingOptionDefinition:
      type: object
      required:
        - id
      properties:
        id:
          type: string
          description: Google Lodging enum option id.
          example: ENGLISH
  responses:
    '401':
      description: You are not authenticated
      content:
        application/json:
          schema:
            description: Error that occurs when you are not authenticated
            type: object
            properties:
              errors:
                type: object
                description: The detail of the error encountered
                properties:
                  authentication:
                    type: string
                    default: User not authenticated
    '403':
      description: |
        You are not allowed to perform this action
      content:
        application/json:
          schema:
            description: >
              Error that occurs when you are authenticated but you are trying to
              perform an action you are not allowed to perform
            type: object
            properties:
              errors:
                type: object
                description: The detail of the error encountered
                properties:
                  authorization:
                    type: string
                    default: Operation not allowed
    '404':
      description: Resource does not exist
      content:
        application/json:
          schema:
            description: >-
              Error that occcurs when you are trying to reach a resource that
              does not exist
            type: object
            properties:
              errors:
                type: object
                description: The detail of the error encountered
                properties:
                  json:
                    type: string
                    default: Resource not found
  securitySchemes:
    ApiKeyAuth:
      description: >
        The authentication system on Partoo API is using API Key that should be
        put in the header of the request (the name of the header is `x-APIKey`).
        An api_key is linked to a user. This user's role will give you different
        access level to the API features.
      type: apiKey
      in: header
      name: x-APIKey

````